<?php
/**
 * Clase Base Bean para BaseCrCreditoCronoComentarioBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCreditoCronoComentarioBN
 * @author     Willy
 * @version    SVN:: BaseCrCreditoCronoComentarioBN.class.php,v 1.1 2013-04-19 11:08:09 william.taype Exp $
 */
abstract class BaseCrCreditoCronoComentarioBN
{
  protected $Idcreditocronocomentario;
  protected $Idcreditocrono;
  protected $Fechatrx;
  protected $Comentario;
  protected $Fechacreacion;
  protected $Idcolaboradorref;
  protected $Nombrecolaboradorref;
  protected $Usuariocreacion;
  protected $Mensaje;
  protected $Error;

  public function getIdcreditocronocomentario(){
    return $this->Idcreditocronocomentario;
  }
  public function setIdcreditocronocomentario($v1){
    $this->Idcreditocronocomentario = $v1; 
  }

  public function getIdcreditocrono(){
    return $this->Idcreditocrono;
  }
  public function setIdcreditocrono($v1){
    $this->Idcreditocrono = $v1; 
  }
  
  public function getFlagConfidencial(){
    return $this->FlagConfidencial;
  }
  public function setFlagConfidencial($v1){
    $this->FlagConfidencial = $v1; 
  }

  public function getFechatrx(){
    return $this->Fechatrx;
  }
  public function setFechatrx($v1){
    $this->Fechatrx = $v1; 
  }

  public function getComentario(){
    return $this->Comentario;
  }
  public function setComentario($v1){
    $this->Comentario = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getIdcolaboradorref(){
    return $this->Idcolaboradorref;
  }
  public function setIdcolaboradorref($v1){
    $this->Idcolaboradorref = $v1; 
  }

  public function getNombrecolaboradorref(){
    return $this->Nombrecolaboradorref;
  }
  public function setNombrecolaboradorref($v1){
    $this->Nombrecolaboradorref = $v1; 
  }

  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_credito_crono_comentarioBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_credito_crono_comentarioRs )
  {
    $o_CrCreditoCronoComentarioBN = new CrCreditoCronoComentarioBN();
    $o_CrCreditoCronoComentarioBN->setIdcreditocronocomentario( $o_Cr_credito_crono_comentarioRs['idcreditocronocomentario'] );
    $o_CrCreditoCronoComentarioBN->setIdcreditocrono( $o_Cr_credito_crono_comentarioRs['idcreditocrono'] );
    $o_CrCreditoCronoComentarioBN->setFechatrx( $o_Cr_credito_crono_comentarioRs['fechatrx'] );
    $o_CrCreditoCronoComentarioBN->setComentario( $o_Cr_credito_crono_comentarioRs['comentario'] );
    $o_CrCreditoCronoComentarioBN->setFechacreacion( $o_Cr_credito_crono_comentarioRs['fechacreacion'] );
    $o_CrCreditoCronoComentarioBN->setIdcolaboradorref( $o_Cr_credito_crono_comentarioRs['idcolaboradorref'] );
    $o_CrCreditoCronoComentarioBN->setNombrecolaboradorref( $o_Cr_credito_crono_comentarioRs['nombrecolaboradorref'] );
    $o_CrCreditoCronoComentarioBN->setUsuariocreacion( $o_Cr_credito_crono_comentarioRs['usuariocreacion'] );
    return $o_CrCreditoCronoComentarioBN;
  }
}